# eric4.QScintilla.Lexers.__init__

Package implementing lexers for the various supported programming languages.

### Classes

None

### Functions

getDefaultLexerAssociations |
getLexer | Module function to instantiate a lexer object for a given language.
getOpenFileFiltersList | Module function to get the file filter list for an open file operation.
getSaveFileFiltersList | Module function to get the file filter list for a save file operation.
getSupportedLanguages | Module function to get a dictionary of supported lexer languages.

## getDefaultLexerAssociations

getDefaultLexerAssociations()
Up

## getLexer

getLexer(language, parent = None)

Module function to instantiate a lexer object for a given language.

language
  language of the lexer (string)
parent
  reference to the parent object (QObject)

Returns:
  reference to the instanciated lexer object (QsciLexer)

Up

## getOpenFileFiltersList

getOpenFileFiltersList(includeAll = False, asString = False)

Module function to get the file filter list for an open file operation.

includeAll
  flag indicating the inclusion of the All Files filter (boolean)
asString
  flag indicating the list should be returned as a string (QString)

Returns:
  file filter list (QStringList or QString)

Up

## getSaveFileFiltersList

getSaveFileFiltersList(includeAll = False, asString = False)

Module function to get the file filter list for a save file operation.

includeAll
  flag indicating the inclusion of the All Files filter (boolean)
asString
  flag indicating the list should be returned as a string (QString)

Returns:
  file filter list (QStringList or QString)

Up

## getSupportedLanguages

getSupportedLanguages()

Module function to get a dictionary of supported lexer languages.

Returns:
  dictionary of supported lexer languages. The keys are the internal language names. The items are lists of two entries. The first is the display string for the language, the second is a dummy file name, which can be used to derive the lexer. (QString, string)

Up